Recent

Author Topic: HtmlViewer in OPM at version 11.8, but current version is 11.9 on github.  (Read 423 times)

d-_-b

  • New Member
  • *
  • Posts: 25
From the github page:

The current version is 11.9 in the default branch "HtmlViewer-11.9".

Should I create a issue on the projects github page to get the version bumped in the Online Package Manager? Or how do one get the ball rolling?

I also looked at the fp wiki on how to update a package but the UI changed and OPM reports the status/data as "Up to date".

Any insight would be appreciated.

Thanks,
Code: Pascal  [Select]
  1. mov     ax,0013h
  2. int     10h
Denthor thanks for the vga programming tutorials | Download all tutorials

wp

  • Hero Member
  • *****
  • Posts: 6367
Re: HtmlViewer in OPM at version 11.8, but current version is 11.9 on github.
« Reply #1 on: September 13, 2019, 10:25:51 am »
It looks as if the version 11.9 on github is Delphi-only, without Lazarus adaption, since there is no lpk package. Somebody interested in the project must convert the code to Lazarus/FPC which is sometimes little, sometimes a lot of work depending on how much Windows-only code is involved... Ideally the adapted Lazaus version should be sent with a merge request to Bernd Gabriel, who seems to take care of the project.

I noticed many times that people are blindly chasing after the latest version without a real need for it. Why is 11.8 not sufficient for you?
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

d-_-b

  • New Member
  • *
  • Posts: 25
Re: HtmlViewer in OPM at version 11.8, but current version is 11.9 on github.
« Reply #2 on: September 13, 2019, 04:15:58 pm »
Ah, makes sense.

I got the package working on Windows and GNU/Linux and then tried it on macOS, where compiling failed due to some missing definitions (#233) that was merged into 11.9.

But actually looking at the issues I see there is still an issue open for macOS support: On Lazarus/Mac/Carbon TDibGetDIBX (#214).

I'm using Lazarus/Cocoa so I will clone the git repo, try to get the lpk package from 11.8 working with 11.9(most probably on windows or linux first) and then see if I can wrangle it to work on macOS.

Thanks for your input,
Code: Pascal  [Select]
  1. mov     ax,0013h
  2. int     10h
Denthor thanks for the vga programming tutorials | Download all tutorials

d-_-b

  • New Member
  • *
  • Posts: 25
Re: HtmlViewer in OPM at version 11.8, but current version is 11.9 on github.
« Reply #3 on: September 13, 2019, 09:16:30 pm »
since there is no lpk package.

It is there, FrameViewer09.lpk just hiding between all the delphi package files.

But I'm getting a issue when compiling in vwPrint.pas at line 114:

Code: Pascal  [Select]
  1.     DevMode: {$if lcl_fullversion >= 1080000} PDeviceModeW {$else} PDeviceMode {$ifend};

Complaining `PDeviceModeW` is not defined. Changed that to:

Code: Pascal  [Select]
  1.     DevMode: PDeviceMode;

And it now compiles and builds for laz-ide on GNU/Linux and macOS.

Going to test it a bit more and try to understand why it uses `lcl_fullversion` to use `PDeviceModeW` instead of `PDeviceMode` and create a issue on github if needed. If anybody reading this have some insight please share!
Code: Pascal  [Select]
  1. mov     ax,0013h
  2. int     10h
Denthor thanks for the vga programming tutorials | Download all tutorials

wp

  • Hero Member
  • *****
  • Posts: 6367
Re: HtmlViewer in OPM at version 11.8, but current version is 11.9 on github.
« Reply #4 on: September 14, 2019, 11:25:16 am »
Now I see the package too. And I see also that Lazarus is mentioned in the readme.txt. Too much information for an old man...

I cloned Bernd's git repository and was able to compile and install the package with Laz 2.04 / fpc 3.0.4, Laz trunk/fpc 3.0.4 and Laz trunk/fpc trunk successfully without the error message that you report. If you have an older version of the package on your disk there is maybe a unit version conflict: in the package editor use "More" > "Recompile clean", or, in the IDE menu, go to "Tools" > "Configure Build Lazarus", check "Clean all" and "Switch after building to automatically" and click "Build".
« Last Edit: September 14, 2019, 01:43:21 pm by wp »
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10